diff --git a/src/packages/fff/fff-batman-adv-legacy/Makefile b/src/packages/fff/fff-batman-adv-legacy/Makefile
index 48b9e50..99d834c 100644
--- a/src/packages/fff/fff-batman-adv-legacy/Makefile
+++ b/src/packages/fff/fff-batman-adv-legacy/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-batman-adv-legacy
 PKG_VERSION:=1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-batman-adv-legacy
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-batman-adv-legacy
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken batman-adv-legacy
@@ -20,7 +20,7 @@ define Package/fff-batman-adv-legacy
              +@KMOD_BATMAN_ADV_LEGACY_BATCTL
 endef
 
-define Package/fff-batman-adv-legacy/description
+define Package/$(PKG_NAME)/description
     This is the batman-adv-legacy for the Freifunk Franken Firmware
     It is used to configure batman-adv-legacy.
 endef
@@ -37,8 +37,8 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-batman-adv-legacy/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-batman-adv-legacy))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-boardname/Makefile b/src/packages/fff/fff-boardname/Makefile
index edcf12d..31e6731 100644
--- a/src/packages/fff/fff-boardname/Makefile
+++ b/src/packages/fff/fff-boardname/Makefile
@@ -4,18 +4,18 @@ PKG_NAME:=fff-boardname
 PKG_VERSION:=0.0.2
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-boardname
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-boardname
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken boardname
     URL:=http://www.freifunk-franken.de
 endef
 
-define Package/fff-boardname/description
+define Package/$(PKG_NAME)/description
     This is the Freifunk Franken Firmware boardname package.
     This packages configures the boardname in the board config.
 endef
@@ -32,8 +32,8 @@ define Build/Compile
     # nothing
 endef
 
-define Package/fff-boardname/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-boardname))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-fastd/Makefile b/src/packages/fff/fff-fastd/Makefile
index 5f093cb..b6ee5fb 100644
--- a/src/packages/fff/fff-fastd/Makefile
+++ b/src/packages/fff/fff-fastd/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-fastd
 PKG_VERSION:=1
 PKG_RELEASE:=2
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-fastd
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-fastd
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken fastd configuration script
@@ -21,7 +21,7 @@ define Package/fff-fastd
              +fff-random
 endef
 
-define Package/fff-fastd/description
+define Package/$(PKG_NAME)/description
     This is the fastd for the Freifunk Franken Firmware
     It is used to configure fastd.
 endef
@@ -38,8 +38,8 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-fastd/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-fastd))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-firewall/Makefile b/src/packages/fff/fff-firewall/Makefile
index 5f6751c..727901d 100644
--- a/src/packages/fff/fff-firewall/Makefile
+++ b/src/packages/fff/fff-firewall/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-firewall
 PKG_VERSION:=2
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-firewall
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-firewall
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken firewall
@@ -19,7 +19,7 @@ define Package/fff-firewall
              +iptables-mod-filter +iptables-mod-ipopt +iptables-mod-conntrack-extra
 endef
 
-define Package/fff-firewall/description
+define Package/$(PKG_NAME)/description
     This is the firewall for the Freifunk Franken Firmware
     It is used to configure firewall.
 endef
@@ -36,8 +36,8 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-firewall/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-firewall))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index d34016c..7a104f0 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-network
 PKG_VERSION:=0.0.7
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-network
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-network
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken network configuration
@@ -16,7 +16,7 @@ define Package/fff-network
     DEPENDS:=+fff-uradvd +fff-boardname
 endef
 
-define Package/fff-network/description
+define Package/$(PKG_NAME)/description
     This package configures the network interfaces
 endef
 
@@ -32,9 +32,9 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-network/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 	test -d ./$(BOARD) && $(CP) ./$(BOARD)/* $(1)/etc/
 endef
 
-$(eval $(call BuildPackage,fff-network))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-nodewatcher/Makefile b/src/packages/fff/fff-nodewatcher/Makefile
index 73a221e..79cb917 100644
--- a/src/packages/fff/fff-nodewatcher/Makefile
+++ b/src/packages/fff/fff-nodewatcher/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-nodewatcher
 PKG_VERSION:=41
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-nodewatcher
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-nodewatcher
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken Nodewatcher
@@ -16,7 +16,7 @@ define Package/fff-nodewatcher
     DEPENDS:=+alfred +micrond +fff-random +ip +ip-bridge
 endef
 
-define Package/fff-nodewatcher/description
+define Package/$(PKG_NAME)/description
     This is the Nodewatcher for the Freifunk Franken Firmware
     It is used to send node status information to
     monitoring.freifunk-franken.de and
@@ -35,8 +35,8 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-nodewatcher/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-nodewatcher))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-random/Makefile b/src/packages/fff/fff-random/Makefile
index 95e5786..2bdce97 100644
--- a/src/packages/fff/fff-random/Makefile
+++ b/src/packages/fff/fff-random/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-random
 PKG_VERSION:=0.0.1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-random
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-random
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken Random
@@ -16,7 +16,7 @@ define Package/fff-random
     DEPENDS:=+@BUSYBOX_CONFIG_ASH
 endef
 
-define Package/fff-random/description
+define Package/$(PKG_NAME)/description
     This is the Freifunk Franken Firmware Random package
     This packages provides a random function.
 endef
@@ -33,8 +33,8 @@ define Build/Compile
     # nothing
 endef
 
-define Package/fff-random/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-random))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-support/Makefile b/src/packages/fff/fff-support/Makefile
index acb446e..c255a8f 100644
--- a/src/packages/fff/fff-support/Makefile
+++ b/src/packages/fff/fff-support/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-support
 PKG_VERSION:=0.0.1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-support
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-support
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken Support Scripts
@@ -16,7 +16,7 @@ define Package/fff-support
     DEPENDS:=+@BUSYBOX_CONFIG_ASH
 endef
 
-define Package/fff-support/description
+define Package/$(PKG_NAME)/description
     This is the Freifunk Franken Firmware support package.
     This packages provides smaller convenience scripts,
     not essential to the operation of the Firmware
@@ -34,9 +34,9 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-support/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 	test -d ./$(BOARD) && $(CP) ./$(BOARD)/* $(1)/ || true
 endef
 
-$(eval $(call BuildPackage,fff-support))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-sysupgrade/Makefile b/src/packages/fff/fff-sysupgrade/Makefile
index 3224662..74470d3 100644
--- a/src/packages/fff/fff-sysupgrade/Makefile
+++ b/src/packages/fff/fff-sysupgrade/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-sysupgrade
 PKG_VERSION:=0.0.4
 PKG_RELEASE:=4
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-sysupgrade
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-sysupgrade
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken sysupgrade
@@ -16,7 +16,7 @@ define Package/fff-sysupgrade
     DEPENDS:=+fff-boardname +@BUSYBOX_CONFIG_WGET
 endef
 
-define Package/fff-sysupgrade/description
+define Package/$(PKG_NAME)/description
     This is the Freifunk Franken Firmware sysupgrade package.
     This packages provides an semi automated sysupgrade script.
 endef
@@ -33,8 +33,8 @@ define Build/Compile
     # nothing
 endef
 
-define Package/fff-sysupgrade/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-sysupgrade))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-timeserver/Makefile b/src/packages/fff/fff-timeserver/Makefile
index 4a2decd..d4e201c 100644
--- a/src/packages/fff/fff-timeserver/Makefile
+++ b/src/packages/fff/fff-timeserver/Makefile
@@ -4,18 +4,18 @@ PKG_NAME:=fff-timeserver
 PKG_VERSION:=0.0.1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-timeserver
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-timeserver
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:=Freifunk-Franken timeserver
     URL:=http://www.freifunk-franken.de
 endef
 
-define Package/fff-timeserver/description
+define Package/$(PKG_NAME)/description
     This is the Freifunk Franken Firmware timeserver package.
     This packages configures the timeserver on the device.
 endef
@@ -32,8 +32,8 @@ define Build/Compile
     # nothing
 endef
 
-define Package/fff-timeserver/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-timeserver))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-tunneldigger/Makefile b/src/packages/fff/fff-tunneldigger/Makefile
index e158df4..ea9daa4 100644
--- a/src/packages/fff/fff-tunneldigger/Makefile
+++ b/src/packages/fff/fff-tunneldigger/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-tunneldigger
 PKG_VERSION:=1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-tunneldigger
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-tunneldigger
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken tunneldigger
@@ -16,7 +16,7 @@ define Package/fff-tunneldigger
     DEPENDS:=+tunneldigger
 endef
 
-define Package/fff-tunneldigger/description
+define Package/$(PKG_NAME)/description
     This is tunneldigger for the Freifunk Franken Firmware
 endef
 
@@ -32,8 +32,8 @@ define Build/Compile
        # nothing
 endef
 
-define Package/fff-tunneldigger/install
+define Package/$(PKG_NAME)/install
         $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-tunneldigger))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-uradvd/Makefile b/src/packages/fff/fff-uradvd/Makefile
index 0dce64c..3dcf219 100644
--- a/src/packages/fff/fff-uradvd/Makefile
+++ b/src/packages/fff/fff-uradvd/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-uradvd
 PKG_VERSION:=1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-uradvd
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-uradvd
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken uradvd
@@ -16,7 +16,7 @@ define Package/fff-uradvd
     DEPENDS:=+uradvd
 endef
 
-define Package/fff-uradvd/description
+define Package/$(PKG_NAME)/description
     This is the uradvd wrapper for the Freifunk Franken Firmware
     It is used to configure and start the uradvd daemon.
 endef
@@ -33,8 +33,8 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-uradvd/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-uradvd))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-vpn-select/Makefile b/src/packages/fff/fff-vpn-select/Makefile
index 9d3c13c..4e2d89b 100644
--- a/src/packages/fff/fff-vpn-select/Makefile
+++ b/src/packages/fff/fff-vpn-select/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-vpn-select
 PKG_VERSION:=1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-vpn-select
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-vpn-select
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken vpn-select
@@ -18,7 +18,7 @@ define Package/fff-vpn-select
              +fff-fastd
 endef
 
-define Package/fff-vpn-select/description
+define Package/$(PKG_NAME)/description
     This package selects and starts the VPN 
     In this version fastd and l2tp via tunneldigger
 endef
@@ -35,8 +35,8 @@ define Build/Compile
        # nothing
 endef
 
-define Package/fff-vpn-select/install
+define Package/$(PKG_NAME)/install
        $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-vpn-select))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-web/Makefile b/src/packages/fff/fff-web/Makefile
index 723d9a9..b9e40d3 100644
--- a/src/packages/fff/fff-web/Makefile
+++ b/src/packages/fff/fff-web/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-web
 PKG_VERSION:=0.0.4
 PKG_RELEASE:=2
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-web
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-web
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken Webinterface
@@ -16,7 +16,7 @@ define Package/fff-web
     DEPENDS:=+uhttpd +libustream-mbedtls +haserl +px5g +simple-tc +fff-boardname
 endef
 
-define Package/fff-web/description
+define Package/$(PKG_NAME)/description
     This is the Webinterface for the Freifunk Franken Firmware
 endef
 
@@ -32,11 +32,11 @@ define Build/Compile
 	# nothing
 endef
 
-define Package/fff-web/install
+define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
 ifeq ($(CONFIG_PACKAGE_fff-nodewatcher),y)
 	ln -s ../../tmp/crawldata/node.data $(1)/www/public/node.data
 endif
 endef
 
-$(eval $(call BuildPackage,fff-web))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-wireless/Makefile b/src/packages/fff/fff-wireless/Makefile
index 12456e5..1d2ca0d 100644
--- a/src/packages/fff/fff-wireless/Makefile
+++ b/src/packages/fff/fff-wireless/Makefile
@@ -4,11 +4,11 @@ PKG_NAME:=fff-wireless
 PKG_VERSION:=0.0.1
 PKG_RELEASE:=1
 
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-wireless
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/fff-wireless
+define Package/$(PKG_NAME)
     SECTION:=base
     CATEGORY:=Freifunk
     TITLE:= Freifunk-Franken wireless configuration
@@ -16,7 +16,7 @@ define Package/fff-wireless
     DEPENDS:=+@ATH_USER_REGD +wireless-tools
 endef
 
-define Package/fff-wireless/description
+define Package/$(PKG_NAME)/description
     This package configures the wireless interfaces.
 endef
 
@@ -32,8 +32,8 @@ define Build/Compile
     # nothing
 endef
 
-define Package/fff-wireless/install
+define Package/$(PKG_NAME)/install
     $(CP) ./files/* $(1)/
 endef
 
-$(eval $(call BuildPackage,fff-wireless))
+$(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/tunneldigger/Makefile b/src/packages/fff/tunneldigger/Makefile
index a8838f1..7b91acd 100644
--- a/src/packages/fff/tunneldigger/Makefile
+++ b/src/packages/fff/tunneldigger/Makefile
@@ -13,7 +13,7 @@ PKG_SOURCE_VERSION:=$(PKG_REV)
 
 include $(INCLUDE_DIR)/package.mk
 
-define Package/tunneldigger
+define Package/$(PKG_NAME)
   SECTION:=net
   CATEGORY:=Network
   DEPENDS:=+libnl-tiny +kmod-l2tp +kmod-l2tp-ip +kmod-l2tp-eth +librt +libpthread
@@ -31,7 +31,7 @@ define Build/Prepare
 	sed -i s/-lnl/-lnl-tiny/g $(PKG_BUILD_DIR)/Makefile
 endef
 
-define Package/tunneldigger/install
+define Package/$(PKG_NAME)/install
 	$(INSTALL_DIR) $(1)/usr/bin
 	$(INSTALL_BIN) $(PKG_BUILD_DIR)/l2tp_client $(1)/usr/bin/tunneldigger
 	$(INSTALL_DIR) $(1)/etc/init.d
@@ -40,8 +40,8 @@ define Package/tunneldigger/install
 	$(INSTALL_DATA) ./files/config.default $(1)/etc/config/tunneldigger
 endef
 
-define Package/tunneldigger/conffiles
+define Package/$(PKG_NAME)/conffiles
 /etc/config/tunneldigger
 endef
 
-$(eval $(call BuildPackage,tunneldigger))
+$(eval $(call BuildPackage,$(PKG_NAME)))
